Bug 492422 - perl well known syslog select timeout bug
perl well known syslog select timeout bug
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
10
All Linux
low Severity urgent
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 15:26 EDT by Dieter Stolte
Modified: 2009-04-21 21:08 EDT (History)
5 users (show)

See Also:
Fixed In Version: 5.10.0-68.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 21:08:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dieter Stolte 2009-03-26 15:26:36 EDT
Description of problem:
Sys::Syslog contains a bug which leads to a huge performance loss. In line 744 of 
/usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi/Sys/Syslog.pm you can see a select with a timeout of 250ms. This select always times out so we essentially have a sleep here. If you call syslog in a loop as we did in a cgi-script you will experience a slooooow execution time which made our web app almost unusable. This bug is well known and has already been fixed in the syslog version 0.27 (check it here: http://search.cpan.org/~saper/Sys-Syslog-0.27/Syslog.pm (click on "source" and find "connection_ok" function)).

Version-Release number of selected component (if applicable):
perl-5.10.0-56.fc10.x86_64

How reproducible:
Deterministic behaviour

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Slooow syslog calls

Expected results:
Fast syslog calls

Additional info:
Comment 1 Tom "spot" Callaway 2009-03-26 18:33:34 EDT
https://admin.fedoraproject.org/updates/F10/FEDORA-2009-2992 updates Sys-Syslog to 0.27 and should resolve this. Please test it and confirm that it does so. :)
Comment 2 Fedora Update System 2009-03-27 10:55:15 EDT
perl-5.10.0-64.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2992
Comment 3 Dieter Stolte 2009-03-27 13:32:34 EDT
works, thanks a lot for the fast fix :)
Comment 4 Fedora Update System 2009-04-07 11:50:19 EDT
perl-5.10.0-66.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2992
Comment 5 Fedora Update System 2009-04-09 12:17:21 EDT
perl-5.10.0-67.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2992
Comment 6 Fedora Update System 2009-04-15 13:59:11 EDT
perl-5.10.0-68.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2992
Comment 7 Fedora Update System 2009-04-21 20:54:44 EDT
perl-5.10.0-68.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-04-21 21:08:07 EDT
perl-5.10.0-68.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.